import request from "@/utils/request";

export function addApp(params) {
    return request({
        url: "/api/v1/evm_store/apps/add",
        method: "post",
        data: params,
    });
}

export function getAppsList(params) {
    return request({
        url: "/api/v1/evm_store/apps/list",
        method: "post",
        data: params,
    });
}

export function updateApp(id, params) {
    return request({
        url: `/api/v1/evm_store/apps/update/${id}`,
        method: "post",
        data: params,
    });
}

export function deleteApp(id) {
    return request({
        url: `/api/v1/evm_store/apps/delete/${id}`,
        method: "post",
    });
}

export function buildApp(id) {
    return request({
        url: `/api/v1/evm_store/apps/build/${id}`,
        method: "post",
    });
}

export function getBuildLogsList(params) {
    return request({
        url: "/api/v1/evm_store/apps/buildLogs",
        method: "post",
        data: params,
    });
}
