import request from "@/utils/request";

export function addWarningRule(params) {
    return request({
        url: "/api/v1/evm_store/warningrule/add",
        method: "post",
        data: params,
    });
}

export function getWarningRuleList(params) {
    return request({
        url: "/api/v1/evm_store/warningrule/list",
        method: "post",
        data: params,
    });
}

export function getWarningLogList(params) {
    return request({
        url: "/api/v1/evm_store/warninglog/list",
        method: "post",
        data: params,
    });
}

export function getWarnings(params) {
    return request({
        url: "/api/v1/evm_store/profile/warnings",
        method: "post",
        data: params,
    });
}

export function ignoreWarnings(params) {
    return request({
        url: "/api/v1/evm_store/profile/ignoreWarnings",
        method: "post",
        data: params,
    });
}
